<Task type="Retest" name="Retest">
      <Settings>
        <Options>
          <BuildTradingOptions>
            <Params>
              <Param key="ExitAtEndOfDay" className="ExitAtEndOfDay">false</Param>
              <Param key="EODExitTime" className="ExitAtEndOfDay">83040</Param>
              <Param key="ExitOnFriday" className="ExitOnFriday">false</Param>
              <Param key="FridayExitTime" className="ExitOnFriday">85200</Param>
              <Param key="LimitTimeRange" className="LimitTimeRange">false</Param>
              <Param key="SignalTimeRangeFrom" className="LimitTimeRange">28800</Param>
              <Param key="SignalTimeRangeTo" className="LimitTimeRange">57600</Param>
              <Param key="ExitAtEndOfRange" className="LimitTimeRange">false</Param>
              <Param key="MaxTradesPerDay" className="MaxTradesPerDay">0</Param>
              <Param key="Session" className="SessionOption">No Session</Param>
              <Param key="StoreChartData" className="StoreChartData">false</Param>
            </Params>
          </BuildTradingOptions>
        </Options>
        <RiskMoneyManagement>
          <MoneyManagement>
            <Method type="FixedSize" use="false">
              <Params>
                <Param key="Size" className="FixedSize">0.1</Param>
              </Params>
            </Method>
            <InitialCapital>10000</InitialCapital>
            <Method type="RiskFixedBalancePct" use="false">
              <Params>
                <Param key="Risk" className="RiskFixedBalancePct">5</Param>
                <Param key="Decimals" className="RiskFixedBalancePct">1</Param>
                <Param key="LotsIfNoMM" className="RiskFixedBalancePct">1</Param>
                <Param key="MaxLots" className="RiskFixedBalancePct">5</Param>
              </Params>
            </Method>
            <Method type="RiskFixedPctOfAccount" use="false">
              <Parameter key="Risk">5</Parameter>
              <Parameter key="StopLoss">100</Parameter>
              <Parameter key="Decimals">1</Parameter>
              <Parameter key="LotsIfNoMM">1</Parameter>
              <Parameter key="MaxLots">5</Parameter>
            </Method>
            <Method type="FixedAmount" use="true">
              <Params>
                <Param key="RiskedMoney" className="FixedAmount">200</Param>
                <Param key="Decimals" className="FixedAmount">1</Param>
                <Param key="LotsIfNoMM" className="FixedAmount">.1</Param>
                <Param key="MaxLots" className="FixedAmount">10</Param>
              </Params>
            </Method>
            <Method type="StocksSizeByPrice" use="false">
              <Params>
                <Param key="UseAccountBalance" className="StocksSizeByPrice">true</Param>
                <Param key="MaxSize" className="StocksSizeByPrice">100</Param>
              </Params>
            </Method>
          </MoneyManagement>
          <RiskManagement maxDrawdown="30">
            <Method type="AllowAllTrades" use="true">
              <Params/>
            </Method>
          </RiskManagement>
        </RiskMoneyManagement>
        <RobustnessTests use="false">
          <Methods>
            <Method use="false" type="RandomizeHistoryData">
              <Parameter key="Probability" type="Integer">20</Parameter>
              <Parameter key="MaxChange" type="Integer">10</Parameter>
            </Method>
            <Method use="false" type="RandomizeMinDistance">
              <Parameter key="Min" type="Double">0.0</Parameter>
              <Parameter key="Max" type="Double">10.0</Parameter>
            </Method>
            <Method use="false" type="RandomizeSlippage">
              <Parameter key="Min" type="Double">0.0</Parameter>
              <Parameter key="Max" type="Double">5.0</Parameter>
            </Method>
            <Method use="false" type="RandomizeSpread">
              <Parameter key="Min" type="Double">1.0</Parameter>
              <Parameter key="Max" type="Double">5.0</Parameter>
            </Method>
            <Method use="false" type="RandomizeStartingBar">
              <Parameter key="MaxChange" type="Integer">100</Parameter>
            </Method>
            <Method use="false" type="RandomizeStrategyParameters">
              <Parameter key="Probability" type="Integer">10</Parameter>
              <Parameter key="MaxChange" type="Integer">20</Parameter>
              <Parameter key="Symmetric" type="Boolean">true</Parameter>
            </Method>
            <Method use="false" type="RandomizeTradesOrder">
              <Parameter key="Method" type="String">resampling</Parameter>
            </Method>
            <Method use="false" type="RandomlySkipTrades">
              <Parameter key="Probability" type="Integer">10</Parameter>
            </Method>
          </Methods>
          <NumberOfSimulations>10</NumberOfSimulations>
          <ForEverySetup>true</ForEverySetup>
        </RobustnessTests>
        <Rankings type="never">
          <MaxStrategies>25000</MaxStrategies>
          <FitnessCriteria method="ComputeFromStrategyResult">
            <Settings>
              <Ranking type="ReturnDDRatio"/>
            </Settings>
          </FitnessCriteria>
          <ConditionsType>1</ConditionsType>
          <Conditions>
            <Condition use="true">
              <Left-Side valueType="column">
                <Column-Value column="NetProfit" columnType="0" name="Net profit" dataType="Decimal2PL" direction="0" sampleType="10" resultType="main" pctRatio="0" plType="10" class="NetProfit"/>
              </Left-Side>
              <Comparator value="&gt;"/>
              <Right-Side valueType="numeric">
                <Numeric-Value value="500"/>
              </Right-Side>
            </Condition>
            <Condition use="true">
              <Left-Side valueType="column">
                <Column-Value name="# of trades" column="NumberOfTrades" columnType="0" dataType="Integer" direction="0" sampleType="10" resultType="main" plType="10" class="NumberOfTrades"/>
              </Left-Side>
              <Comparator value="&gt;"/>
              <Right-Side valueType="numeric">
                <Numeric-Value value="200"/>
              </Right-Side>
            </Condition>
            <Condition use="true">
              <Left-Side valueType="column">
                <Column-Value column="Stability" format="Decimal2" resultType="main" subresult="30" direction="0" sampleType="10" plType="10" confidenceLevel="50" market="1" class="Stability"/>
              </Left-Side>
              <Comparator value="&gt;"/>
              <Right-Side valueType="numeric">
                <Numeric-Value value="0.5"/>
              </Right-Side>
            </Condition>
          </Conditions>
          <AutomaticDismissal>
            <Problem code="1" dismiss="true"/>
            <Problem code="4" dismiss="true"/>
            <Problem code="1024" dismiss="true"/>
            <Problem code="16" dismiss="true"/>
            <Problem code="32" dismiss="true"/>
            <Problem code="64" dismiss="true"/>
            <Problem code="256" dismiss="true"/>
            <Problem code="2" dismiss="true"/>
            <Problem code="512" dismiss="true"/>
            <Problem code="8" dismiss="true"/>
          </AutomaticDismissal>
          <StopCondition type="never" passedStrategies="1000" restartCount="5"/>
        </Rankings>
        <Databanks><Databank label="Output databank" name="Output" value="Results"/></Databanks>
        <Data><Setups><Setup dateFrom="2018.1.1" dateTo="2018.6.24" testPrecision="2" session="No Session" slippage="0" minDist="0" engine="MetaTrader4"><Chart symbol="EURUSD" timeframe="M1" spread="1"/><Commissions><Method type="None" use="true"><Params/></Method></Commissions></Setup></Setups><OutOfSample showGraph="false"/></Data>
        <Notes>&lt;b&gt;Breakout strategies setup&lt;/b&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;It uses only specific trend-indicating signal blocks for entry/exit rules, and places stop orders, trying to catch the trend.&lt;/div&gt;</Notes>
        <AdditionalData enabled="false" timeframe="H1" precision="1">
          <Setups>
            <Setup dateFrom="2008.1.2" dateTo="2010.10.11" testPrecision="1" session="No Session" commission="undefined" slippage="0" minDist="0" engine="MetaTrader4">
              <Chart symbol="TEST_GBPUSD_M1" timeframe="H2" spread="1"/>
              <Commissions>
                <Method type="PercentageBased" use="true">
                  <Parameter key="CommissionPct">2.3</Parameter>
                </Method>
              </Commissions>
            </Setup>
          </Setups>
        </AdditionalData>
        <CrossChecks use="false" evaluateAll="true">
          <RetestOnAdditionalMarkets use="false">
            <Settings>
              <Setups><Setup dateFrom="2016.1.1" dateTo="2018.1.5" testPrecision="1" session="null" slippage="0" minDist="0" engine="MetaTrader4"><Chart symbol="GBPUSD_M1" timeframe="Same as main data" spread="2.5"/><Commissions>
                    <Method type="None" use="true">
                      <Params/>
                    </Method>
                  </Commissions></Setup><Setup dateFrom="2016.1.1" dateTo="2018.1.5" testPrecision="1" session="null" slippage="0" minDist="0" engine="MetaTrader4"><Chart symbol="USDCHF_M1" timeframe="Same as main data" spread="3"/><Commissions>
                    <Method type="None" use="true">
                      <Params/>
                    </Method>
                  </Commissions></Setup></Setups>
            </Settings>
            <AcceptanceSettings>
              <Conditions CrossCheck="RetestOnAdditionalMarkets">
                <Condition use="true">
                  <Left-Side valueType="column">
                    <Column-Value column="NetProfit" columnType="0" name="Net profit" format="Decimal2PL" resultType="RetestOnAdditionalMarkets" direction="0" sampleType="10" plType="10" confidenceLevel="50" market="0" subresult="30" pctRatio="0"/>
                  </Left-Side>
                  <Comparator value="&gt;"/>
                  <Right-Side valueType="numeric">
                    <Numeric-Value value="0"/>
                  </Right-Side>
                </Condition>
              </Conditions>
            </AcceptanceSettings>
          </RetestOnAdditionalMarkets>
          <WalkForwardOptimization use="false">
            <Settings>
              <WalkForward type="1" period="10" optimization="15">
                <Param1 value="20"/>
                <Param2 value="10"/>
              </WalkForward>
              <OptimizePeriods>true</OptimizePeriods>
              <OptimizeExitTypes>true</OptimizeExitTypes>
              <MaxTests>100</MaxTests>
            </Settings>
            <AcceptanceSettings>
              <Conditions thresholdPct="80">
                <Condition use="true">
                  <Left-Side valueType="column">
                    <Column-Value column="NetProfit" columnType="10" name="Original Net profit" dataType="Decimal2PL" direction="0" sampleType="127" resultType="main" pctRatio="0" chartSetup="40" plType="10"/>
                  </Left-Side>
                  <Comparator value="&gt;"/>
                  <Right-Side valueType="numeric">
                    <Numeric-Value value="0"/>
                  </Right-Side>
                </Condition>
                <Condition use="true">
                  <Left-Side valueType="column">
                    <Column-Value column="Stability" columnType="" name="Stability" format="" resultType="WalkForwardOptimization" direction="0" sampleType="127" plType="10" confidenceLevel="50" market="1" subresult="31" pctRatio="0"/>
                  </Left-Side>
                  <Comparator value="&gt;"/>
                  <Right-Side valueType="numeric">
                    <Numeric-Value value="60" chartSetup="10"/>
                  </Right-Side>
                </Condition>
                <Condition use="true">
                  <Left-Side valueType="column">
                    <Column-Value column="WFPctOfProfitableRuns" columnType="33" name="WF Percentage of profitable runs" dataType="Integer" direction="0" sampleType="10" resultType="main" pctRatio="0" chartSetup="40" plType="10"/>
                  </Left-Side>
                  <Comparator value="&gt;"/>
                  <Right-Side valueType="numeric">
                    <Numeric-Value value="70" chartSetup="10"/>
                  </Right-Side>
                </Condition>
                <Condition use="true">
                  <Left-Side valueType="column">
                    <Column-Value column="WFMaxProfitByRunInPct" columnType="33" name="WF Special Max profit in one run as % of total" dataType="Decimal2Pct" direction="0" sampleType="10" resultType="main" pctRatio="0" chartSetup="40" plType="10"/>
                  </Left-Side>
                  <Comparator value="&lt;"/>
                  <Right-Side valueType="numeric">
                    <Numeric-Value value="50" chartSetup="40"/>
                  </Right-Side>
                </Condition>
                <Condition use="true">
                  <Left-Side valueType="column">
                    <Column-Value column="WFMinTradesInRun" columnType="33" name="WF Special Min trades in one run" dataType="Integer" direction="0" sampleType="10" resultType="main" pctRatio="0" chartSetup="40" plType="10"/>
                  </Left-Side>
                  <Comparator value="&gt;"/>
                  <Right-Side valueType="numeric">
                    <Numeric-Value value="20" chartSetup="10"/>
                  </Right-Side>
                </Condition>
                <Condition use="true">
                  <Left-Side valueType="column">
                    <Column-Value column="WFMaxPctDDbyRun" columnType="33" name="WF Special Max % Drawdown in one run" dataType="Decimal2Pct" direction="0" sampleType="10" resultType="main" pctRatio="0" chartSetup="40" plType="10"/>
                  </Left-Side>
                  <Comparator value="&lt;="/>
                  <Right-Side valueType="numeric">
                    <Numeric-Value value="25" chartSetup="10"/>
                  </Right-Side>
                </Condition>
                <Condition use="false">
                  <Left-Side valueType="column">
                    <Column-Value column="Drawdown" columnType="31" name="WF Stability Drawdown" dataType="Decimal2Pct" direction="0" sampleType="10" resultType="main" pctRatio="0" chartSetup="40" plType="10"/>
                  </Left-Side>
                  <Comparator value="&lt;"/>
                  <Right-Side valueType="numeric">
                    <Numeric-Value value="130" chartSetup="10"/>
                  </Right-Side>
                </Condition>
                <Condition use="false">
                  <Left-Side valueType="column">
                    <Column-Value column="ReturnDDRatio" columnType="31" name="WF Stability Ret/DD Ratio" dataType="Decimal2Pct" direction="0" sampleType="10" resultType="main" pctRatio="0" chartSetup="40" plType="10"/>
                  </Left-Side>
                  <Comparator value="&gt;"/>
                  <Right-Side valueType="numeric">
                    <Numeric-Value value="60" chartSetup="10"/>
                  </Right-Side>
                </Condition>
                <Condition use="false">
                  <Left-Side valueType="column">
                    <Column-Value column="StagnationPct" columnType="10" name="Original % Stagnation" dataType="Decimal2Pct" direction="0" sampleType="10" resultType="main" pctRatio="0" chartSetup="40" plType="10"/>
                  </Left-Side>
                  <Comparator value="&lt;"/>
                  <Right-Side valueType="numeric">
                    <Numeric-Value value="30" chartSetup="10"/>
                  </Right-Side>
                </Condition>
              </Conditions>
            </AcceptanceSettings>
          </WalkForwardOptimization>
          <RetestWithHigherPrecision use="true">
            <Settings>
              <Precision>2</Precision>
              <Spread>2</Spread>
            </Settings>
            <AcceptanceSettings>
              <Conditions CrossCheck="RetestWithHigherPrecision">
                <Condition use="true">
                  <Left-Side valueType="column">
                    <Column-Value column="NetProfit" columnType="0" name="Net profit" format="Decimal2PL" resultType="RetestWithHigherPrecision" direction="0" sampleType="10" plType="10" confidenceLevel="50" market="1" subresult="30" pctRatio="0"/>
                  </Left-Side>
                  <Comparator value="&gt;="/>
                  <Right-Side valueType="column">
                    <Column-Value column="NetProfit" columnType="0" name="Net profit" format="Decimal2PL" resultType="main" direction="0" sampleType="127" plType="10" confidenceLevel="undefined" market="undefined" subresult="undefined" pctRatio="80"/>
                  </Right-Side>
                </Condition>
                <Condition use="true">
                  <Left-Side valueType="column">
                    <Column-Value column="NumberOfTrades" columnType="0" name="# of trades" format="Integer" resultType="RetestWithHigherPrecision" direction="0" sampleType="10" plType="10" confidenceLevel="50" market="1" subresult="30" pctRatio="0"/>
                  </Left-Side>
                  <Comparator value="&gt;="/>
                  <Right-Side valueType="column">
                    <Column-Value column="NumberOfTrades" columnType="0" name="# of trades" format="Integer" resultType="main" direction="0" sampleType="127" plType="10" confidenceLevel="undefined" market="undefined" subresult="undefined" pctRatio="80"/>
                  </Right-Side>
                </Condition>
                <Condition use="true">
                  <Left-Side valueType="column">
                    <Column-Value column="DrawdownPct" columnType="0" name="Max DD %" format="Decimal2Pct" resultType="RetestWithHigherPrecision" direction="0" sampleType="10" plType="10" confidenceLevel="50" market="1" subresult="30" pctRatio="0"/>
                  </Left-Side>
                  <Comparator value="&lt;"/>
                  <Right-Side valueType="column">
                    <Column-Value column="DrawdownPct" columnType="0" name="Max DD %" format="Decimal2Pct" resultType="main" direction="0" sampleType="127" plType="10" confidenceLevel="undefined" market="undefined" subresult="undefined" pctRatio="130"/>
                  </Right-Side>
                </Condition>
              </Conditions>
            </AcceptanceSettings>
          </RetestWithHigherPrecision>
          <MonteCarloRetest use="false">
            <Settings>
              <Methods>
                <Method use="true" type="RandomizeHistoryData">
                  <Params>
                    <Param key="Probability" type="Integer">30</Param>
                    <Param key="MaxChange" type="Integer">30</Param>
                  </Params>
                </Method>
                <Method use="true" type="RandomizeMinDistance">
                  <Params>
                    <Param key="Min" type="Double">0.0</Param>
                    <Param key="Max" type="Double">10.0</Param>
                  </Params>
                </Method>
                <Method use="true" type="RandomizeSlippage">
                  <Params>
                    <Param key="Min" type="Double">0.0</Param>
                    <Param key="Max" type="Double">5.0</Param>
                  </Params>
                </Method>
                <Method use="true" type="RandomizeSpread">
                  <Params>
                    <Param key="Min" type="Double">1.0</Param>
                    <Param key="Max" type="Double">5.0</Param>
                  </Params>
                </Method>
                <Method use="true" type="RandomizeStartingBar">
                  <Params>
                    <Param key="MaxChange" type="Integer">100</Param>
                  </Params>
                </Method>
                <Method use="true" type="RandomizeStrategyParameters">
                  <Params>
                    <Param key="Probability" type="Integer">10</Param>
                    <Param key="MaxChange" type="Integer">20</Param>
                    <Param key="Symmetric" type="Boolean">true</Param>
                  </Params>
                </Method>
              </Methods>
              <NumberOfSimulations>10</NumberOfSimulations>
            </Settings>
            <AcceptanceSettings>
              <Conditions CrossCheck="MonteCarloRetest">
                <Condition use="true">
                  <Left-Side valueType="column">
                    <Column-Value column="NetProfit" columnType="0" name="Net profit" format="Decimal2PL" resultType="MonteCarloRetest" direction="0" sampleType="10" plType="10" confidenceLevel="80" market="1" subresult="30" pctRatio="0" class="NetProfit"/>
                  </Left-Side>
                  <Comparator value="&gt;="/>
                  <Right-Side valueType="column">
                    <Column-Value column="NetProfit" columnType="0" name="Net profit" format="Decimal2PL" resultType="main" direction="0" sampleType="127" plType="10" confidenceLevel="90" market="1" subresult="30" pctRatio="50" class="NetProfit"/>
                  </Right-Side>
                </Condition>
                <Condition use="true">
                  <Left-Side valueType="column">
                    <Column-Value column="DrawdownPct" columnType="0" name="Max DD %" format="Decimal2Pct" resultType="MonteCarloRetest" direction="0" sampleType="127" plType="10" confidenceLevel="80" market="1" subresult="30" pctRatio="0" class="DrawdownPct"/>
                  </Left-Side>
                  <Comparator value="&lt;="/>
                  <Right-Side valueType="column">
                    <Column-Value column="DrawdownPct" columnType="0" name="Max DD %" dataType="Decimal2Pct" direction="0" sampleType="127" resultType="main" pctRatio="200" confidenceLevel="90" chartSetup="10" plType="10" class="DrawdownPct"/>
                  </Right-Side>
                </Condition>
              </Conditions>
            </AcceptanceSettings>
          </MonteCarloRetest>
          <WalkForwardMatrix use="false">
            <Settings>
              <WalkForward type="1" period="10" optimization="15">
                <Param1 value="undefined" start="10" stop="40" step="10"/>
                <Param2 value="undefined" start="5" stop="20" step="5"/>
              </WalkForward>
              <OptimizePeriods>true</OptimizePeriods>
              <OptimizeExitTypes>true</OptimizeExitTypes>
              <MaxTests>100</MaxTests>
            </Settings>
            <AcceptanceSettings>
              <Conditions thresholdPct="80" robCombRows="2" robCombCols="2" robMinComb="0"/>
            </AcceptanceSettings>
          </WalkForwardMatrix>
          <MonteCarloManipulation use="true">
            <Settings>
              <Methods>
                <Method use="true" type="RandomizeTradesOrder">
                  <Params>
                    <Param key="Method" type="String">resampling</Param>
                  </Params>
                </Method>
                <Method use="true" type="RandomlySkipTrades">
                  <Params>
                    <Param key="Probability" type="Integer">10</Param>
                  </Params>
                </Method>
              </Methods>
              <NumberOfSimulations>30</NumberOfSimulations>
            </Settings>
            <AcceptanceSettings>
              <Conditions CrossCheck="MonteCarloManipulation">
                <Condition use="true">
                  <Left-Side valueType="column">
                    <Column-Value column="NetProfit" columnType="0" name="Net profit" format="Decimal2PL" resultType="MonteCarloManipulation" direction="0" sampleType="10" plType="10" confidenceLevel="80" market="1" subresult="30" pctRatio="0"/>
                  </Left-Side>
                  <Comparator value="&gt;="/>
                  <Right-Side valueType="column">
                    <Column-Value column="NetProfit" columnType="0" name="Net profit" format="Decimal2PL" resultType="main" direction="0" sampleType="127" plType="10" confidenceLevel="50" market="undefined" subresult="30" pctRatio="60"/>
                  </Right-Side>
                </Condition>
                <Condition use="true">
                  <Left-Side valueType="column">
                    <Column-Value column="DrawdownPct" columnType="0" name="Max DD %" format="Decimal2Pct" resultType="MonteCarloManipulation" direction="0" sampleType="10" plType="10" confidenceLevel="80" market="1" subresult="30" pctRatio="0"/>
                  </Left-Side>
                  <Comparator value="&lt;="/>
                  <Right-Side valueType="column">
                    <Column-Value column="DrawdownPct" columnType="0" name="Max DD %" format="Decimal2Pct" resultType="main" direction="0" sampleType="127" plType="10" confidenceLevel="50" market="undefined" subresult="30" pctRatio="175"/>
                  </Right-Side>
                </Condition>
              </Conditions>
            </AcceptanceSettings>
          </MonteCarloManipulation>
        </CrossChecks>
      </Settings>
    </Task>